<?php if( get_option( 'kciaotime_display_slideshow' ) == 1 ) : ?>
    <div class="flexslider">
        <ul class="slides">
            <?php
    $posttype = get_option( 'kciaotime_posttype_slideshow' );
    if ( ! get_option( 'kciaotime_posttype_slideshow' ) ) {
$posttype = 'page';
}
   
    $args = array( 'post_type' => array( $posttype ), 'post_per_page' => '5' );
    $loop = new WP_Query( $args );
    if ( $loop->have_posts() ) : while ( $loop->have_posts() ) : $loop->the_post();

    $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID));
?>

    <li>
    
        <?php
            // If the slide has an associated URL, wrap image in an anchor element
            if ( $image[0] ) :
        ?>
        
            <a href="<?php echo $image[0]; ?>" title="<?php the_title_attribute(); ?>">
                <?php the_post_thumbnail(); ?>
            </a>
            
        <?php else : ?>
            <p>
            No images to be displayed on the posts in this slider.
            </p>
        <?php endif; ?>
  
    </li>

        <?php endwhile; else : ?>
  
    <li>
        <p>Setup your slides on the admin area by using "set featured image" in the "posts or pages", we'll take care of the rest!</p>
    </li>

            <?php endif; ?>
        </ul>
    </div>
<?php endif; ?>